@echo off
REM *** Configuration for Installing Zabbix-Agent via Group Policies ***
REM Please use always YES or NO for switching Options
REM -----------------------------------------------------------------
REM Path and Name of InstallZabbixAgent.bat
Set GPO_INSTALLER=\\10.20.30.40\Zabbix-Agent$\Agent\InstallZabbixAgent.bat
REM Use Whitlist.txt - install only if %COMPUTERNAME% is listet in Whitelist
Set GPO_USE_WHITELIST=NO
REM Use Blacklist.txt - install only if %COMPUTERNAME% is NOT listet in Blacklist
Set GPO_USE_BLACKLIST=YES
REM Filter for different Operation Systems
Set GPO_INSTALL_WORKSTATION=NO
Set GPO_INSTALL_SERVER=YES
REM -----------------------------------------------------------------
REM Logging of Setup
Set GPO_LOGGING_ENABLE=YES
Set GPO_LOGGING_GLOBAL_LOG_FILE=\\\10.20.30.40\Zabbix-Agent$\Logs\_GlobalLogFile.txt
Set GPO_LOGGING_PER_HOST=YES
Set GPO_LOGGING_PATH=\\10.20.30.40\Zabbix-Agent$\Logs
Set GPO_LOG_POSITIVE=YES
Set GPO_LOG_NEGATIVE=YES
REM -----------------------------------------------------------------
REM for later use
REM Set GPO_INSTALL_XP=NO
REM Set GPO_INSTALL_7=NO
REM Set GPO_INSTALL_8=NO
REM Set GPO_INSTALL_Vista=NO
REM Set GPO_INSTALL_2003=YES
REM Set GPO_INSTALL_2008=YES
REM Set GPO_INSTALL_2012=YES
